<?php
if (!defined('PYROSYS')) {
	exit('Erreur PyRoSys N°01: Accès refusé => Vous ne pouvez accéder directement à cette page!');
}

// Liste les fichiers (si $type = 0) ou les dossiers (si $type = 1)
function dirlist ($dir_name, $type = 0) {
	global $lang, $config;

	// Listage des fichiers du répertoire des pages
	$dir = opendir($dir_name) or die($lang['ERROR_PYROSYS_N02']);
	$fichier = $dossier = array(0 => $config['page_notfound']);

	while ($element = readdir($dir))
	{
		if ($element != '.' && $element != '..')
		{
			if (!is_dir($dir_name.'/'.$element))
			{
				$fichier[] = $element;
			} 
			else
			{
				$dossier[] = $element;
			}
		}
	}

	return ($type) ? $dossier : $fichier;
}

function make_breadcrumb ($page) {
	switch ($page)
	{
		case 'blender':
			$subline = 'Blender 3D';
		break;

		case 'gallery':
			$subline = 'Galerie Image';
		break;

		case 'graph':
			$subline = 'Graphismes';
		break;

		case 'home':
			$subline = 'Accueil';
		break;

		case 'js':
			$subline = 'Javascript';
		break;

		case 'linux':
			$subline = 'Serveur (GNU/Linux)';
		break;

		case 'normes':
			$subline = 'Les Normes de l\'internet';
		break;

		case 'others':
			$subline = 'Autres';
		break;

		case 'php':
			$subline = 'PHP/(x)HTML/CSS';
		break;

		case 'presentation':
			$subline = 'Présentation';
		break;

		case 'projects':
			$subline = 'Projets';
		break;

		case 'regex':
			$subline = 'Expressions Rationnelles';
		break;

		case '404':
		default:
			$subline = 'Erreur 404 - Page Introuvable';
		break;
	}

	$subline = '<a href="index.php">Portfolio de PyRoXtY</a> » ' . $subline;
	return $subline;
}

?>