<?php
if (!defined('PYROSYS')) {
	exit('Erreur PyRoSys N°01: Accès refusé => Vous ne pouvez accéder directement à cette page!');
}

echo "\n\t\t<h1>Bienvenue sur le Portfolio de PyRoXtY (Monnier Cédric)</h1>\n";
echo "\t\t<hr />\n";
echo "\t\t<p>Ce site présente mes <strong>différentes aptitudes</strong> dans le milieu informatique.<br />\n";
echo "\t\tJe m'oriente principalement sur la <strong>gestion de serveurs</strong> et sur le <strong>développement de pages internet</strong>.<br />\n";
echo "\t\tNéanmoins, je m'interesse aussi à la <strong>création graphique 2D/3D</strong> et aux <strong>montages vidéos</strong>.<br />\n";
echo "\t\tJe vous propose de visiter les différentes parties de ce site afin de découvrir mes travaux.</p>\n";
echo "\t\t<p>Ci-dessous, vous trouverez l'arborescence de ce portfolio.<br />\n";
echo "\t\tAucunes restrictions de navigation n'est en vigueur. Vous pouvez donc <strong>abuser de l'hospitalité</strong> que je vous offre.</p>\n";

$dir_name = '.';
$dossier = dirlist($dir_name, 1);
$fichier = dirlist($dir_name);
if (!empty($dossier))
{
	sort($dossier);
	echo "\t\t<p>Liste des dossiers accessibles dans '{$dir_name}' :</p>\n";
	echo "\t\t<ul>\n";
	foreach ($dossier as $key => $lien)
	{
		if ($key) {
			echo "\t\t\t<li><a href=\"{$dir_name}/{$lien} \">{$lien}</a></li>\n";
		}
	}
	echo "\t\t</ul>\n";
}

if(!empty($fichier))
{
	sort($fichier);
	echo "\n\t\t<p>Liste des fichiers/documents accessibles dans '{$dir_name}' :</p>\n";
	echo "\t\t<ul>\n";
	foreach($fichier as $key => $lien) {
		if ($key) {
			echo "\t\t\t<li><a href=\"{$dir_name}/{$lien}\">{$lien}</a></li>\n";
		}
	}
	echo "\t\t</ul>\n\n";
}

echo "\t\t<p>Cordialement, <strong>PyRoXtY</strong> (Monnier Cédric).<br />\n";
echo "\t\tAdministrateur et fondateur de ce portfolio.</p>\n";
?>