<?php
if (!defined('PYROSYS')) {
	exit('Erreur PyRoSys N°01: Accès refusé => Vous ne pouvez accéder directement à cette page!');
}
?>

<h1>Connaissances GNU/Linux (Principalement Debian et Ubuntu)</h1>
<hr />
<p>Depuis 5 ans, j'ai développé une passion particulière pour l'administration de serveur dédié sous Linux.<br />
Je me focalise principalement sur les distributions <strong>Debian</strong> (<i>serveur</i>) et <strong>Ubuntu</strong> (<i>bureau</i>).<br />
<br />
Mes connaissances s'axent principalement sur les <strong>serveurs orientés internet</strong>.<br />
Ainsi, voici une liste des tâches que je suis capable d'accomplir:</p>
<ul>
	<li><strong>SSH</strong> (<strong>S</strong>ecure <strong>Sh</strong>ell) avec <i>accès par paire de clés</i></li>
	<li><strong>Apache2</strong> (VirtualHost, Mode Rewrite, Droit d'accès, ...)</li>
	<li><strong>MySQL</strong> (Base de donnée très performante)</li>
	<li><strong>FTP</strong> (<strong>F</strong>ile <strong>T</strong>ransfert <strong>P</strong>rotocole) en mode passif ou actif avec <i>vsftp</i> ou <i>proftpd</i></li>
	<li><strong>Subversion</strong> (Création et gestion de dépôts sécurisés et publics)</li>
	<li>Maitrise du programme <strong>RRDTool</strong> pour la <i>création de graphiques</i> (pour les charges du serveurs par exemple)</li>
	<li>Connaissances en <strong>compilation de codes sources</strong> (Make, configuration, ext...)</li>
	<li>Maitrise du <strong>langage Shell</strong> de base pour la création de scripts automatisés</li>
	<li>Maitrise du programme d'édition <strong>VIM</strong></li>
	<li>Amélioration de l'<strong>ergonomie du Shell</strong> (colorisation synthaxique, présentation, lisibilité, alias, ...</li>
	<li><strong>Configuration de la carte réseau</strong> aussi bien en ip statique que dynamique</li>
</ul>