<?php
if (!defined('PYROSYS')) {
	exit('Erreur PyRoSys N°01: Accès refusé => Vous ne pouvez accéder directement à cette page!');
}
?>

<h1>Les normes internet</h1>
<hr />
<p>Vous avez surement remarqué les 3 logos dans le pied de page de mon portfolio.<br />
Ils indiquent que mon site respect des normes particulières qui servent à favoriser l'accessibilité et la lecture multi-plateforme.<br />
Je vous propose d'en apprendre d'avantage sur les 3 normes que j'utilise sur ce portfolio.</p>
<p style="text-align: center;"><br />
<a href="http://validator.w3.org/check?uri=http%3A%2F%2Fpyroxty.finitia-world.com%2F" title="XHTML 1.0 Strict Valide !">
	<img style="border:0;width:88px;height:31px" src="./images/valid-xhtml10.png" alt="XHTML 1.0 Strict Valide !" />
</a><br />
Ce logo signifie que la page a été vérifier par le formulaire de validation HTML du W3C.<br />
Ici, le type de document interprêter est du XHTML 1.0 Strict.</p>

<p style="text-align: center;"><br />
<a href="http://jigsaw.w3.org/css-validator/validator?uri=http%3A%2F%2Fpyroxty.finitia-world.com%2F" title="CSS 2.1 Valide !">
	<img style="border:0;width:88px;height:31px" src="./images/vcss.gif" alt="CSS 2.1 Valide !" />
</a><br />
Ce logo signifie que la page a été vérifier par le formulaire de validation CSS du W3C.<br />
Ici, le type de document interprêter est du Cascade Style Sheets 2.1.</p>

<p style="text-align: center;"><br />
<a href="http://www.unicode.org" title="Encodage de la page en UTF-8 (Unicode) !">
	<img style="border:0;width:88px;height:31px" src="./images/UnicodeEncoded_UTF-8.gif" alt="Encodage Unicode (UTF-8) !" />
</a><br />
Ce logo signifie que la page a été écrite avec un jeu de caractère Unicode, l'UTF-8.<br />
Il ne s'agit pas d'une norme a proprement parlé. Mais plutôt d'un choix personnel d'affichage et d'interprêtation de l'accentuation sur les textes.<br />
L'unicode permet de mettre en commun un jeu de caractère pour la totalité du monde.
Cela évite aux plateformes de devoir choisir un jeu de caractère spécifique suivant la langue utilisée par le navigateur.
Oublions l'ISO-8859-1(5), le WINDOWS-1252, l'ISO-2022-JP et le KOI8-R/U. Unissons-nous pour l'UTF-8 pour tous, cela est beaucoup plus simple!</p>