<?php
if (!defined('PYROSYS')) {
	exit('Erreur PyRoSys N°01: Accès refusé => Vous ne pouvez accéder directement à cette page!');
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" >
<head>
	<title>PortFolio de PyRoXtY (Monnier Cédric)</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<link rel="stylesheet" media="screen" type="text/css" title="StyleSheet" href="./includes/templates/<?php echo $config['template']; ?>/style.css" />
	<link rel="stylesheet" type="text/css" href="./includes/templates/<?php echo $config['template']; ?>/javascripts/highslide/highslide.css" />
	<script type="text/javascript" src="./includes/templates/<?php echo $config['template']; ?>/javascripts/jquery-1.6.1.min.js"></script>
	<script type="text/javascript" src="./includes/templates/<?php echo $config['template']; ?>/javascripts/highslide/highslide-full.packed.js"></script>
	<script type="text/javascript" src="./includes/templates/<?php echo $config['template']; ?>/javascripts/persoconf.js"></script>
</head>
<body>
	<div id="backhead">
		<div id="header">
			<div id="version"></div>
		</div>
	</div>
	<div><a name="readstart"></a></div>
	<div id="backhmenu"><div id="hmenu">
		<ul class="topnav">
			<li><a href="index.php?page=presentation#readstart" title="Présentation Personnelle">Présentation</a></li>
			<li>
				<a href="javascript:void(0);" title="Développement Web">Développement Web</a>
				<ul class="subnav">
					<li><a href="index.php?page=php#readstart" title="PHP/(x)HTML/CSS">PHP/(x)HTML/CSS</a></li>
					<li><a href="index.php?page=js#readstart" title="Javascript">Javascript</a></li>
					<li><a href="index.php?page=regex#readstart" title="Expressions Rationnelles">Expressions Rationnelles</a></li>
					<li><a href="index.php?page=normes#readstart" title="Les normes internet">Les Normes Web</a></li>
				</ul>
			</li>
			<li>
				<a href="javascript:void(0);" title="Graphismes">Graphismes</a>
				<ul class="subnav">
					<li><a href="index.php?page=photoshop#readstart" title="Adobe Photoshop">Adobe Photoshop</a></li>
					<li><a href="index.php?page=blender#readstart" title="Blender">Blender (3D)</a></li>
				</ul>
			</li>
			<li><a href="index.php?page=linux#readstart" title="Serveur (GNU/Linux)">Serveur (GNU/Linux)</a></li>
			<li><a href="index.php?page=projects#readstart" title="Projets">Projets</a></li>
			<li><a href="index.php?page=others#readstart" title="Autres">Autres</a></li>
		</ul>
	</div></div>

	<div id="breadcrumb">¤ Fil d'Ariane: <?php echo make_breadcrumb($page ? $page : $config['page_default']); ?></div>

	<div id="page">